OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepAP214

# StepAP214_Array1OfGroupItem Class Reference

`#include <StepAP214_Array1OfGroupItem.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepAP214_Array1OfGroupItem (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepAP214_Array1OfGroupItem (const StepAP214_GroupItem &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const StepAP214_GroupItem &V)
Standard_EXPORT void | Destroy ()
| ~StepAP214_Array1OfGroupItem ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepAP214_Array1OfGroupItem & | Assign (const StepAP214_Array1OfGroupItem &Other)
const StepAP214_Array1OfGroupItem & | operator= (const StepAP214_Array1OfGroupItem &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepAP214_GroupItem &Value)
const StepAP214_GroupItem & | Value (const Standard_Integer Index) const
const StepAP214_GroupItem & | operator() (const Standard_Integer Index) const
StepAP214_GroupItem & | ChangeValue (const Standard_Integer Index)
StepAP214_GroupItem & | operator() (const Standard_Integer Index)
## Private Member Functions
Standard_EXPORT | StepAP214_Array1OfGroupItem (const StepAP214_Array1OfGroupItem &AnArray)
## Private Attributes
Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_Array1OfGroupItem::StepAP214_Array1OfGroupItem | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepAP214_Array1OfGroupItem::StepAP214_Array1OfGroupItem | ( | const StepAP214_GroupItem & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepAP214_Array1OfGroupItem::~StepAP214_Array1OfGroupItem | ( |  | ) | `[inline]`

Standard_EXPORT StepAP214_Array1OfGroupItem::StepAP214_Array1OfGroupItem | ( | const StepAP214_Array1OfGroupItem & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepAP214_Array1OfGroupItem& StepAP214_Array1OfGroupItem::Assign | ( | const StepAP214_Array1OfGroupItem & | Other | ) |

StepAP214_GroupItem& StepAP214_Array1OfGroupItem::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepAP214_Array1OfGroupItem::Destroy | ( |  | ) |

Standard_EXPORT void StepAP214_Array1OfGroupItem::Init | ( | const StepAP214_GroupItem & | V | ) |

Standard_Boolean StepAP214_Array1OfGroupItem::IsAllocated | ( |  | ) | const

Standard_Integer StepAP214_Array1OfGroupItem::Length | ( |  | ) | const

Standard_Integer StepAP214_Array1OfGroupItem::Lower | ( |  | ) | const

void StepAP214_Array1OfGroupItem::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepAP214_Array1OfGroupItem::operator new | ( | size_t | size | ) | `[inline]`

void* StepAP214_Array1OfGroupItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

StepAP214_GroupItem& StepAP214_Array1OfGroupItem::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const StepAP214_GroupItem& StepAP214_Array1OfGroupItem::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepAP214_Array1OfGroupItem& StepAP214_Array1OfGroupItem::operator= | ( | const StepAP214_Array1OfGroupItem & | Other | ) | `[inline]`

void StepAP214_Array1OfGroupItem::SetValue | ( | const Standard_Integer | Index,
|  | const StepAP214_GroupItem & | Value
| ) |

Standard_Integer StepAP214_Array1OfGroupItem::Upper | ( |  | ) | const

const StepAP214_GroupItem& StepAP214_Array1OfGroupItem::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepAP214_Array1OfGroupItem::isAllocated`[private]`

Standard_Integer StepAP214_Array1OfGroupItem::myLowerBound`[private]`

Standard_Address StepAP214_Array1OfGroupItem::myStart`[private]`

Standard_Integer StepAP214_Array1OfGroupItem::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- StepAP214_Array1OfGroupItem.hxx